Summary:	Linux Rock Guitar Amplifier for Jack Audio Connektion Kit
Name:		guitarix
Version:	0.38.1
Release:	2
License:	GPL v2+, GPL v3+ (abgate plugin)
Group:		Applications/Multimedia
Source0:	http://downloads.sourceforge.net/guitarix/%{name}2-%{version}.tar.xz
# Source0-md5:	d9aec810bf164cbf040b298cb9c45d50
URL:		http://guitarix.sourceforge.net/
BuildRequires:	avahi-gobject-devel
BuildRequires:	bluez-libs-devel
BuildRequires:	boost-devel >= 1.38
BuildRequires:	eigen3
BuildRequires:	fftw3-devel >= 3.1.2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	glibmm-devel >= 2.24.0
BuildRequires:	gperf
BuildRequires:	gtk+2-devel >= 1:2.12.0
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	intltool
BuildRequires:	jack-audio-connection-kit-devel > 0.109.1
BuildRequires:	ladspa-devel
BuildRequires:	liblrdf-devel
BuildRequires:	libsndfile-devel >= 1.0.17
BuildRequires:	lilv-devel
BuildRequires:	zita-convolver-devel >= 4.0.0
BuildRequires:	zita-resampler-devel
Requires:	ladspa
Requires:	fonts-TTF-Roboto
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoprovfiles	%{_libdir}/(ladspa|lv2)

%description
Guitarix is a simple Linux Rock Guitar Amplifier for jack (Jack Audio
Connektion Kit) with one input and two outputs. Designed to get nice
thrash/metal/rock/blues guitar sounds. There are controls for bass,
middle, treble, gain (in/out), compressor, preamp, tube's, drive,
overdrive, oversample, anti-aliase, fuzz, balance, distortion,
freeverb, impulse response, vibrato, chorus, delay, crybaby(wah),
ampselector, tonestack, and echo. For 'pressure' in the sound you can
use the feedback and feedforward sliders.


%prep
%setup -q

%build
CC="%{__cc}" \
CXX="%{__cxx}" \
CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcxxflags}" \
LDFLAGS="%{rpmldflags}" \
./waf configure \
	--cxxflags-release="-DNDEBUG" \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--ladspadir=%{_libdir}/ladspa \
	--mod-lv2 \
	--ladspa \
	--new-ladspa

./waf build

%install
rm -rf $RPM_BUILD_ROOT

./waf install \
	--destdir=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.so

%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc changelog README*
%attr(755,root,root) %{_bindir}/guitarix
%attr(755,root,root) %{_libdir}/libgxw.so.0.*
%attr(755,root,root) %ghost %{_libdir}/libgxw.so.0
%attr(755,root,root) %{_libdir}/libgxwmm.so.0.*
%attr(755,root,root) %ghost %{_libdir}/libgxwmm.so.0
%attr(755,root,root) %{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*.rdf
%dir %{_libdir}/lv2/gx*
%attr(755,root,root) %{_libdir}/lv2/gx*/*.so
%{_libdir}/lv2/gx*/*.ttl
%{_libdir}/lv2/gx*/modgui
%{_desktopdir}/guitarix.desktop
%{_datadir}/gx_head
%{_pixmapsdir}/*.png
%changelog
* Mon Oct 07 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/guitarix.git;a=log;h=master

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 7bda421
- rebuild with boost 1.71
- release 2 (by relup.sh)

* Fri Apr 19 2019 Jan Rękorajski <baggins@pld-linux.org> 3f8992d
- up to 0.38.1

* Fri Aug 17 2018 Jacek Konieczny <jajcus@jajcus.net> 694c49d
- Version: 0.37.3

* Fri Dec 08 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> badcb7c
- Version: 0.36.1

* Wed Sep 13 2017 Jacek Konieczny <jajcus@jajcus.net> 11835d6
- Version: 0.35.6

* Wed Jun 07 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 3bd056a
- Version: 0.35.3

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 365485b
- rebuild with boost 1.63.0
- release 2 (by relup.sh)

* Sun Jan 22 2017 Jacek Konieczny <jajcus@jajcus.net> 293ee64
- Version: 0.35.2

* Wed Oct 12 2016 Jacek Konieczny <jajcus@jajcus.net> 43384ac
- no lv2/ladspa soname provides, better cflags passing

* Sun Oct 09 2016 Jacek Konieczny <jajcus@jajcus.net> 2ca5b43
- Use separately packaged fonts-TTF-Roboto

* Sun Oct 09 2016 Jacek Konieczny <jajcus@jajcus.net> 6dd0891
- Version: 0.35.1

* Sun Apr 17 2011 Jan Rękorajski <baggins@pld-linux.org> ff2c360
- rel 1

* Sun Apr 17 2011 Jan Rękorajski <baggins@pld-linux.org> 18d3140
- initial revision

